/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.call.script.js;

import java.io.UnsupportedEncodingException;

import org.mozilla.javascript.NativeArray;

import dk.vajhoej.vms.call.script.LIBRTL_Script;

/**
 * Class LIBRTL_JS is a JavaScript friendly wrapper library for LIB$ functions.
 */
public class LIBRTL_JS extends LIBRTL_Script {
	/**
	 * Call LIB$FIND_FILE multiple times and LIB$FIND_FILE_END once.
	 * @param filespec input file specification
	 * @return array of matching file names
	 * @throws UnsupportedEncodingException if file spec can not be encoded
	 */
	public static NativeArray LIB$FIND_FILE_AsStringArray(String filespec) throws UnsupportedEncodingException {
		return Util.convertList(LIB$FIND_FILE(filespec));
	}
}
